Subject: Re: [PATCH v3 1/3] ALSA SoC: Add OpenFirmware helper for matching bus and codec drivers

From: Grant Likely <[email-masked]>
Date: Tue, 22 Jul 2008 17:21:58 -0400

On Tue, Jul 22, 2008 at 12:38:30PM -0400, Jon Smirl wrote:
> On 7/22/08, Grant Likely <[email-masked]> wrote:
> >  +int of_snd_soc_register_codec(struct snd_soc_codec_device *codec_dev,
> >  +                             void *codec_data, struct snd_soc_dai *dai,
> >  +                             struct device_node *node);
> >  +
> >  +int of_snd_soc_register_platform(struct snd_soc_platform *platform,
> >  +                                struct device_node *node,
> >  +                                struct snd_soc_dai *cpu_dai);
> >  +
> 
> This doesn't compile for me.  Where is struct snd_soc_dai being defined?
> 
> It used to be....
> 
> +int of_snd_soc_register_codec(struct snd_soc_codec_device *codec_dev,
> +			      void *codec_data, struct snd_soc_codec_dai *dai,
> +			      struct device_node *node);
> +
> +int of_snd_soc_register_platform(struct snd_soc_platform *platform,
> +				 struct device_node *node,
> +				 struct snd_soc_cpu_dai *cpu_dai);
> 

I had to change it to match what is in Linus' current top of tree.  The
snd_soc_cpu_dai and snd_soc_codec_dai structures have been merged.

g.